package org.jetlinks.pro.network.http;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import org.jetlinks.core.device.AuthenticationRequest;
import org.jetlinks.core.message.codec.Transport;
import org.jetlinks.core.message.codec.http.HttpExchangeMessage;

/**
 * @author 张强
 * @since 1.0.0
 */
@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class HttpAuthenticationRequest implements AuthenticationRequest {

    private HttpExchangeMessage httpExchangeMessage;

    private Transport transport;
}
